﻿using System.Configuration;
using System.Data.Entity;
using lecture4.repository.Entities;

namespace lecture4.repository
{
    public class DataContext : DbContext
    {
        private static readonly string ConnectionString = ConfigurationManager.ConnectionStrings["sqlconnectionstring"].ConnectionString;

        public DbSet<IssueEntity> Issues { get; set; }
        public DbSet<CommentEntity> Comments { get; set; }

        public DataContext()
            : base(ConnectionString)
        {
            Configuration.LazyLoadingEnabled = false;
            Configuration.ProxyCreationEnabled = false;
        }

        public static DataContext Get()
        {
            return new DataContext();
        }
    }
}
