﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace lecture4.repository.Entities
{
    [Table("Comments")]
    public class CommentEntity
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int Id { get; set; }

        [Required]
        public int IssueId { get; set; }

        [ForeignKey("IssueId")]
        public virtual IssueEntity Issue { get; set; }

        [Required]
        public string Author { get; set; }

        public string Text { get; set; }
    }
}
