﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using lecture4.dto;

namespace lecture4.repository.Entities
{
    [Table("Issues")]
    public class IssueEntity
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int Id { get; set; }

        [Required]
        public IssueTypeEnum Type { get; set; }

        public string Owner { get; set; }

        public string Summary { get; set; }

        public virtual ICollection<CommentEntity> Comments { get; set; }
    }
}
